> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enkryptai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task



## OpenAPI

````yaml GET /redteam/get-task
openapi: 3.0.0
info:
  title: Enkrypt AI APIs
  version: 2.0.0
servers:
  - url: https://api.enkryptai.com
security:
  - apiKeyAuth: []
tags:
  - name: Guardrails
  - name: Code of Conduct
  - name: Endpoints
  - name: Datasets
  - name: Redteam
  - name: Deployments
  - name: AI Proxy
  - name: Leaderboard
  - name: Archived
  - name: MCP Hub
    description: >-
      MCP Hub vulnerability scanning APIs. Submitting scans (the POST endpoints)
      is open to all authenticated callers. The scan **retrieval** APIs — Get
      Scan Job Status, Get Complete Scan Results, List Scans, and Get MCP Hub
      Scan Statistics (the GET endpoints) — are an **enterprise data-license
      feature**: they require your organization to have MCP Hub API access
      enabled by Enkrypt, otherwise they return `403`. Contact us at
      support@enkryptai.com to enable access.
  - name: MCP Registry Servers
  - name: MCP Gateways
  - name: MCP Playground
paths:
  /redteam/get-task:
    get:
      tags:
        - Redteam
      summary: Get Task
      operationId: get_task_get
      parameters:
        - name: X-Enkrypt-Task-ID
          in: header
          schema:
            title: Task ID
            type: string
            description: The Redteam task ID
            example: generate-and-redteam-94f40d84-5b4e-4e97-a793-48357b71490a
        - name: X-Enkrypt-Test-Name
          in: header
          schema:
            title: Test Name
            type: string
            description: The test name
            example: Test 1
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RedteamGetTaskResponse'
components:
  schemas:
    RedteamGetTaskResponse:
      title: RedteamGetTaskResponse
      type: object
      properties:
        data:
          title: RedteamGetTaskResponseData
          type: object
          properties:
            created_at:
              title: Created At
              type: string
              format: date-time
            task_id:
              title: Job Id
              type: string
            test_name:
              title: Test Name
              type: string
            status:
              title: RedteamGetTaskResponseStatus
              type: string
              enum:
                - Queued
                - Running
                - Finished
                - Failed
            model_name:
              title: Model Name
              type: string
            model_saved_name:
              title: Model Saved Name
              type: string
            model_config:
              title: Model Config
              type: object
              properties:
                model_version:
                  title: Saved Model Version
                  type: string
                system_prompt:
                  title: System Prompt
                  type: string
      example:
        data:
          created_at: '2024-12-04T06:56:51.451307+00:00'
          task_id: generate-and-redteam-6c3babbe-3bc4-4553-a0b7-454df720579f
          test_name: Test 2
          status: Queued
          model_name: Mistral-7B-Instruct-v0.1
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: apikey

````